Search::Dict(3)

NAME
Search::Dict, look - search for key in dictionary file

SYNOPSIS
    use Search::Dict;
    look *FILEHANDLE, $key, $dict, $fold;

DESCRIPTION
Sets file position in FILEHANDLE to be first line greater than or equal (stringwise) to $key. Returns the new file position, or -1 if an error occurs.

The flags specify dictionary order and case folding:

If $dict is true, search by dictionary order (ignore anything but word characters and whitespace).

If $fold is true, ignore case.